List tests

Lists all agent response tests with pagination support and optional search filtering.

请求头

xi-api-keystring可选

查询参数

cursorstring可选
Used for fetching next page. Cursor is returned in the response.
page_sizeinteger可选1-100默认为 30
How many Tests to return at maximum. Can not exceed 100, defaults to 30.
searchstring可选
Search query to filter tests and folders by name.
parent_folder_idstring可选
Filter by parent folder ID. Use 'root' to get items in the root folder.
typesenum可选

If present, the endpoint will return only tests/folders of the given types.

允许的值:
include_foldersboolean可选Deprecated

Deprecated. Use the types query param and include folder instead.

sort_modeenum可选默认为 default

Sort mode for listing tests. Use ‘folders_first’ to place folders before tests.

允许的值:
sharing_modeenum可选

Filter test visibility. Use shared_with_me to return only tests/folders shared with the current user that they did not create.

允许的值:

响应

Successful Response
testslist of objects
has_moreboolean
next_cursorstring可选

错误

422
Tests List Request Unprocessable Entity Error